/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.listeners;

/**
 * Thingspace response listener interface to receive response from AsyncTasks
 */
public interface ThingspaceResponseListener {

    /**
     * Called when error is received from Thingspace server.
     *
     * @param taskCode  ThingSpace task code constant
     * @param errorCode Error code
     * @param response  Api response
     */
    void onResponse(int taskCode, int errorCode, Object response);
}
