/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.listeners;

/**
 * Account info response listener.
 */
public interface AccountInfoResponseListener {

    /**
     * Called when Account info API response in received.
     *
     * @param responseCode     HTTP Response code
     * @param availableStorage Storage available in cloud
     * @param usedStorage      Storage used in cloud
     */
    void onAccountInfoResponseReceived(int responseCode, Long availableStorage, Long usedStorage);
}
