/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.listeners;

import com.thingspace.cloud.sdk.list.item.File;

/**
 * Data File operations response listener.
 */
public interface DataFileOperationsResponseListener {

    /**
     * @param file
     */
    public void onDataCopyResponseReceived(File file);

    /**
     * @param file
     */
    public void onDataMoveResponseReceived(File file);

    /**
     * @param file
     */
    public void onDataRenameResponseReceived(File file);

    /**
     * @param response
     */
    public void onDataFileDeleteResponseReceived(boolean response);


}
