/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.utils;

import android.content.Context;
import android.net.ConnectivityManager;

/**
 * Utility class
 */
public class KeplerUtil {

    /**
     * Check the network connection.
     * @param context Context object
     * @return true of network is connected, false otherwise
     */
    public static boolean isNetworkAvailable(Context context) {
        ConnectivityManager cm = (ConnectivityManager) context.getSystemService(Context.CONNECTIVITY_SERVICE);
        return cm.getActiveNetworkInfo() != null && cm.getActiveNetworkInfo().isConnectedOrConnecting();
    }
}
